#
# spec file for package z81 (Version 0.2)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  svgalib

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         z81
Release:      17
Copyright:    1995-1997 Russell Marks, Amstrad (ROM)
Group: 
Provides:     z81 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      0.2
Summary:      Sinclair ZX81 (Timex TS1000) emulator (with ROM)
Source: z81.tar.gz
Patch: z81.dif
%description
Z81 is a ZX81-Emulator. The ZX81 is also known as Timex TS1000 and a
small predecessor of the ZX Spectrum. It used to have 1KB RAM of
memory. Amstrad kindly gave permission to include the ROM-image
containing the original OS. Amstrad retain it's copyright.

Authors:
--------
    Russel Marks <>

%prep
%setup -n z81
%patch
if [ -f Imakefile ] ; then xmkmf -a ; fi
%build
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux compile
else
    make
fi ; 
%install
mkdir -p /usr/lib/z81
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux install
else
    make install
fi ; 
if [ -f Imakefile ] ; then make install.man ; fi
Check
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%dir /usr/lib/z81
/usr/X11R6/bin/xz81
/usr/bin/z81
/usr/bin/z81txt
/usr/lib/z81/zx81.rom
/usr/lib/z81/zx81kybd.pgm
%doc /usr/man/man1/xz81.1.gz
%doc /usr/man/man1/z81.1.gz
%doc /usr/man/man1/z81txt.1.gz

